org.eclnt.workplace

## Class WorkplaceFavorites

- java.lang.Object
- - org.eclnt.jsfserver.managedbean.DefaultDispatchedBean
  - - org.eclnt.workplace.WorkplaceFavorites

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    WorkplaceHistory

      public class WorkplaceFavorites
      extends DefaultDispatchedBean
      implements java.io.Serializable

  This class needs to be sub-classed by your implementation and needs to be registered within the workpage dispatcher of your application.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `WorkplaceFavorites.FavoriteInternalInfo`
    `class` | `WorkplaceFavorites.ImageSelectionListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `m_defaultImage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceFavorites(IDispatcher dispatcher)`
    `WorkplaceFavorites(IDispatcher dispatcher, java.lang.String persistId)` When passing a persistId, then favorites automatically will be read and stored from persistence (via `StreamStore`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFavorite(WorkpageStartInfo favoriteInfo)` Adds a favorite to the favorite bar.
    `void` | `addFavoritesListener(IFavoritesListener listener)`
    `java.lang.String` | `getDefaultImage()`
    `java.util.List<WorkpageStartInfo>` | `getFaovriteInfos()` Returns back the current favorite infos that are kept.
    `java.util.List<WorkpageStartInfo>` | `getFavorites()` Favorites as list - do not modify this list!
    `java.util.List<WorkplaceFavorites.FavoriteInternalInfo>` | `getFis()` Internal use.
    `java.lang.String` | `getObjectBinding()`
    `boolean` | `getWithIconTexts()`
    `void` | `loadFromPersistence(java.lang.String persistId)` Read workplace favorites from persistence - and from now on also saves changes automatically.
    `protected void` | `loadFromPersistId(java.lang.String persistId)`
    `protected void` | `notifyFavoritesListeners()`
    `void` | `onPaneAction(ActionEvent event)` Internal use.
    `void` | `removeFavoritesListener(IFavoritesListener listener)`
    `protected void` | `save(java.lang.String persistId)`
    `void` | `setDefaultImage(java.lang.String value)`
    `void` | `setIconDirectoryPath(java.lang.String path)` Sets the directory path for the icons that are selectable by the user.
    `void` | `setImageHeightStr(java.lang.String value)` internal use
    `void` | `setImageWidthStr(java.lang.String value)` internal use
    `void` | `setObjectBinding(java.lang.String value)`
    `void` | `setPane(PANEComponent pane)` Internal use.
    `void` | `setRowAlignmentYStr(java.lang.String value)` internal use
    `void` | `setWithIconTexts(boolean value)`
    `void` | `setWithIconTextStr(java.lang.String value)` internal use
    `protected void` | `updateButtonTagBeforeComponentCreation(BaseComponentTag buttonTag)` The button tag is passed so that you can update attributes that influence the look and feel of a button tag instance, representing one favorite-button.
    `protected void` | `updatePane()` Transfers the favorite info into a compoent tree, that is plugged below the pane element coming from the layout.

    - ### Methods inherited from class org.eclnt.jsfserver.managedbean.DefaultDispatchedBean

      `ccDestroy, getOwningDispatcher, setDispatcher`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_defaultImage

          protected java.lang.String m_defaultImage

  - ### Constructor Detail

    - #### WorkplaceFavorites

          public WorkplaceFavorites(IDispatcher dispatcher)

    - #### WorkplaceFavorites

          public WorkplaceFavorites(IDispatcher dispatcher,
                                    java.lang.String persistId)

      When passing a persistId, then favorites automatically will be read and stored from persistence (via `StreamStore`.

  - ### Method Detail

    - #### setDefaultImage

          public void setDefaultImage(java.lang.String value)

    - #### getDefaultImage

          public java.lang.String getDefaultImage()

    - #### setWithIconTexts

          public void setWithIconTexts(boolean value)

    - #### getWithIconTexts

          public boolean getWithIconTexts()

    - #### addFavoritesListener

          public void addFavoritesListener(IFavoritesListener listener)

    - #### removeFavoritesListener

          public void removeFavoritesListener(IFavoritesListener listener)

    - #### setImageWidthStr

          public void setImageWidthStr(java.lang.String value)

      internal use

    - #### setImageHeightStr

          public void setImageHeightStr(java.lang.String value)

      internal use

    - #### setWithIconTextStr

          public void setWithIconTextStr(java.lang.String value)

      internal use

    - #### setRowAlignmentYStr

          public void setRowAlignmentYStr(java.lang.String value)

      internal use

    - #### setObjectBinding

          public void setObjectBinding(java.lang.String value)

    - #### getObjectBinding

          public java.lang.String getObjectBinding()

    - #### setPane

          public void setPane(PANEComponent pane)

      Internal use.

    - #### setIconDirectoryPath

          public void setIconDirectoryPath(java.lang.String path)

      Sets the directory path for the icons that are selectable by the user. Default is "/eclntjsfserver/images/". The directory path is a path inside your web application.

    - #### addFavorite

          public void addFavorite(WorkpageStartInfo favoriteInfo)

      Adds a favorite to the favorite bar.

    - #### getFis

          public java.util.List<WorkplaceFavorites.FavoriteInternalInfo> getFis()

      Internal use.

    - #### getFavorites

          public java.util.List<WorkpageStartInfo> getFavorites()

      Favorites as list - do not modify this list!

    - #### onPaneAction

          public void onPaneAction(ActionEvent event)

      Internal use.

    - #### getFaovriteInfos

          public java.util.List<WorkpageStartInfo> getFaovriteInfos()

      Returns back the current favorite infos that are kept.

    - #### loadFromPersistence

          public void loadFromPersistence(java.lang.String persistId)

      Read workplace favorites from persistence - and from now on also saves changes automatically. You may also use this method for reloading the workplace favorites persistent information.

    - #### updateButtonTagBeforeComponentCreation

          protected void updateButtonTagBeforeComponentCreation(BaseComponentTag buttonTag)

      The button tag is passed so that you can update attributes that influence the look and feel of a button tag instance, representing one favorite-button.

    - #### updatePane

          protected void updatePane()

      Transfers the favorite info into a compoent tree, that is plugged below the pane element coming from the layout.

    - #### notifyFavoritesListeners

          protected void notifyFavoritesListeners()

    - #### loadFromPersistId

          protected void loadFromPersistId(java.lang.String persistId)

    - #### save

          protected void save(java.lang.String persistId)

Copyright © CaptainCasa Gmbh. All Rights Reserved.